Skip to main content
`Ctrl`+`K`

# MatLMVMSetJ0

Allows the user to define the initial Jacobian matrix from which the LMVM-type approximation is built up.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMSetJ0(Mat B, Mat J0)

## Input Parameters

- B - An LMVM-type matrix

- J0 - The initial Jacobian matrix, will be referenced by B.

## Notes

A KSP is created for inverting J0 with prefix `-mat_lmvm_J0_` and J0 is set to both operators in `KSPSetOperators()`. If you want to use a separate preconditioning matrix, use `MatLMVMSetJ0KSP()` directly.

If the sizes of `B` have not been specified (using `MatSetSizes()` or `MatSetLayouts()`) before `MatLMVMSetJ0()` is called, then `B` will adopt the sizes and layouts of `J0`, and these sizes will be final.

## See Also

KSP: Linear System Solvers, LMVM Matrices, `MATLMVM`, `MatLMVMSetJ0PC()`, `MatLMVMSetJ0KSP()`

## Level

advanced

## Location

src/ksp/ksp/utils/lmvm/lmvmutils.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages